#################################################################
# OpenNTP configuration for NTP Analyzer statistical recordings #
#################################################################

# Connection parameters to SQL database instance.
Database {
        # Select either MySQL or PostgreSQL
        Provider MySQL

        # Address of SQL server
        Host 127.0.0.1

        # Name of database
        Name ntpa

        # Database username
        User ntpau

        # Password for the user
        Pass password

        # Set to 1 to automatically create all tables and data.
        Create 1
}

Log {
        # Levels: error, warn, notice, info, debug and trace
        Severity info
        File ntpa.log
}

Server {
        # Primary key in database table 'host'
        HostID 1

        # Address queried by ntpq and ntpdc. OpenNTP can only query localhost
        # HostAddress ntp1.example.net

        # The utility used to query ntpd. Use ntpdc for old hosts.
        # User ntpclt for OpenNTP. You might also
        # sudo chown root:ntpa /var/lib/openntpd/run/ntpd.sock
        HostType ntpctl

        HostStats {
                Frequency 3
                TimeStamp UTC
        }

        PeerStats {
                Frequency 5
                TimeStamp UTC
        }
}
